CREATE TABLE
    cadsei.CAD_PARAMETRO
    (
        ID_PARAMETRO bigint NOT NULL AUTO_INCREMENT,
        NOME_PARAMETRO VARCHAR(200),
        VALOR_PARAMETRO VARCHAR(1000),
        PRIMARY KEY (ID_PARAMETRO)
    )
    ENGINE=InnoDB DEFAULT CHARSET=utf8;

insert into CAD_PARAMETRO (NOME_PARAMETRO, VALOR_PARAMETRO) values ('URL_WEB_SERVICE_SEI', 'http://sei.treinamento.mj.gov.br/sei/ws/SeiWS.php');



ALTER TABLE cadsei.cad_solicitacao MODIFY COLUMN ID_SOLICITACAO INT NOT NULL;


insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (295, 'Requerimento');
insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (504, 'Carta');
insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (596, 'Petição');
insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (431, 'Nota Fiscal');
insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (910, 'Ordem de Serviço');
insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (713, 'Denúncia');
insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (1172, 'Fatura');
insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (290, 'Ofício');
insert into cadsei.cad_solicitacao (ID_SOLICITACAO, DSC_SOLICITACAO) values (292, 'Ofício-Circular');

delete from cadsei.cad_servico_solicitacao;

insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (1, 1, 295);
insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (2, 1, 504);
insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (3, 1, 596);
insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (4, 1, 431);
insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (5, 1, 910);
insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (6, 1, 290);
insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (7, 1, 292);
insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (8, 1, 1172);
insert into cadsei.cad_servico_solicitacao (ID_SERVICO_SOLICITACAO, ID_SERVICO, ID_SOLICITACAO) values (9, 1, 713);


insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 295);

insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 504);

insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 596);

insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 431);

insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 910);

insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 290);

insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 1172);

insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 713);

insert into cadsei.cad_sei_integracao (ID_TIPO_PROCEDIMENTO, NUM_ASSUNTO, NUM_NIVEL_ACESSO,
 ID_UNIDADE, ID_AREA, ID_SERVICO, ID_SOLICITACAO) values ('100001202', '063.2', '', '110000834', 1, 1, 292);




