package br.gov.arquitetura.bean;

import java.util.Date;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpSession;

import br.gov.mc.seg.client.web.Constants;

@ManagedBean(name = "KeepAliveBean")
@SessionScoped
public class KeepAliveBean {

	/**
	 * Mantem conectado e ativa a sessão do usuario
	 */
	public void keepAlive(){
		FacesContext context = FacesContext.getCurrentInstance();
		HttpSession session = (HttpSession) context.getExternalContext() .getSession(false);
		if(session != null) session.getAttribute(Constants.USER_PARAMETER);
		System.out.println("Entrou no Keep Alive: " + new Date());
	}
}
