package br.gov.arquitetura.excecao;

import javax.faces.event.ActionEvent;

import com.sun.faces.application.ActionListenerImpl;

/**
 * Classe responsvel por tratar erros inesperados do sistema.
 * 
 * @author Igor Galvo
 * 
 */
public class ExceptionHandler extends ActionListenerImpl {

	@Override
	public void processAction(ActionEvent event) {

		try {
			// Executa o mtodo da classe Pai
			super.processAction(event);

		} catch (Exception e) {
			ExcecaoUtil.tratarExcecao(e);
		}
	}
}