package br.gov.mc.arquitetura.ws.client.entidade;

import java.io.Serializable;

@SuppressWarnings("serial")
public class MunicipioSub implements Serializable {

	private String id;

	private String codigoCorreio;

	private String codigoInss;

	private String codigoSiafi;

	private String nome;

	private String nomeAnterior;

	private String cep;

	private String anoInstalacao;

	private String latitude;

	private String longitude;

	private UF uf;

	public MunicipioSub() {
		super();
	}

	public MunicipioSub(String id) {
		super();
		this.id = id;
	}

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCodigoCorreio() {
		return this.codigoCorreio;
	}

	public void setCodigoCorreio(String codigoCorreio) {
		this.codigoCorreio = codigoCorreio;
	}

	public String getCodigoInss() {
		return this.codigoInss;
	}

	public void setCodigoInss(String codigoInss) {
		this.codigoInss = codigoInss;
	}

	public String getCodigoSiafi() {
		return this.codigoSiafi;
	}

	public void setCodigoSiafi(String codigoSiafi) {
		this.codigoSiafi = codigoSiafi;
	}

	public String getNome() {
		return this.nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getNomeAnterior() {
		return this.nomeAnterior;
	}

	public void setNomeAnterior(String nomeAnterior) {
		this.nomeAnterior = nomeAnterior;
	}

	public String getCep() {
		return this.cep;
	}

	public void setCep(String cep) {
		this.cep = cep;
	}

	public String getAnoInstalacao() {
		return this.anoInstalacao;
	}

	public void setAnoInstalacao(String anoInstalacao) {
		this.anoInstalacao = anoInstalacao;
	}

	public String getLatitude() {
		return this.latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getLongitude() {
		return this.longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public UF getUf() {
		return this.uf;
	}

	public void setUf(UF uf) {
		this.uf = uf;
	}
}