package br.gov.mc.cadsei.service;

import org.hibernate.Criteria;

import br.gov.mc.cadsei.entidade.CadEmpresa;
import br.gov.mc.cadsei.entidade.dto.QuantitativoDto;
import br.gov.mc.seg.entidade.SegUsuario;

public interface GenericService {

	public Object save(Object o) throws Exception;
	public CadEmpresa saveEmpresa(CadEmpresa empresa) throws Exception;
	@SuppressWarnings("rawtypes")
	public Criteria createCriteria(Class klass);
	public boolean isEmAnalise(SegUsuario analista);
	public QuantitativoDto getDadosRelatorio();
	public String obtemValorParametro(String nome);
	
}