package br.gov.arquitetura.DAO;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import org.hibernate.Session;

public interface UniversalDAO extends Serializable {

	Object get(Class clazz, Serializable id);

	List getAll(Class clazz);

	Long getCount(Class clazz, Map filters) throws Exception;;

	Object save(Object o) throws Exception;

	List listBy(Object o) throws Exception;

	Session getCurrentSession();

	void remove(Class clazz, Serializable id) throws Exception;

	List paginate(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filters, Class clazz)
			throws Exception;

	Long getCount(String sortField, boolean sortOrder, Map<String, String> filters, Class clazz) throws Exception;
}