package br.gov.arquitetura.entidade;

import java.io.Serializable;

public abstract class Entidade<T extends Serializable> implements Serializable {

	private static final long serialVersionUID = 1L;

	public abstract T getId();

	public abstract void setId(T id);

}
