package br.gov.arquitetura.util;

import java.util.ResourceBundle;

import javax.faces.context.FacesContext;

/**
 * 
 * @author Igor Galvo
 *
 */
public class ConstantesARQ {

	private static ResourceBundle bundle = ResourceBundle.getBundle("constantes", FacesContext.getCurrentInstance()
			.getViewRoot().getLocale());

	public static String getString(String key) {
		return bundle.getString(key);
	}

	public static Object getObject(String key) {
		return bundle.getObject(key);
	}

	public static String EMAIL_GESTOR = getString("email_gestor");
	public static String TELEFONE_GESTOR = getString("telefone_gestor");

	/**
	 * Configurao do email de erro
	 */
	public static boolean ENVIAR_EMAIL_ERRO = Boolean.valueOf(getString("enviar_email_erro"));
	public static String EMAIL_ERRO = getString("email_erro");
	public static String ASSUNTO_EMAIL_ERRO = getString("assunto_email_erro");

	public static String REMOVIDO = getString("removido");
	public static String REMOVIDA = getString("removida");
	public static String CARREGADO = getString("carregado");
	public static String CARREGADA = getString("carregada");
	public static String SALVO = getString("salvo");
	public static String SALVA = getString("salva");
	public static String ERRO_EXCLUIR = getString("erro_excluir");
	public static String ERRO_EXCLUIR_DEPENDENCIA = getString("erro_excluir_dependencia");

	public static String ERRO_CARREGAR = getString("erro_carregar");
	public static String ERRO_SALVAR = getString("erro_salvar");
	public static String COM_SUCESSO = getString("com_sucesso");
	public static String CAMPO_OBRIGATORIO = getString("campo_obrigatorio");

	public static String FACES_REDIRECT = getString("faces_redirect");

	public static String PAGINACAO = getString("paginacao");
	public static String EMPTY_MESSAGE = getString("empty_message");
	public static String JA_ADICIONADO = getString("ja_adicionado");

}
