package br.gov.mc.arquitetura.persistencia;

import java.io.Serializable;
import java.util.Collection;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.springframework.orm.hibernate3.HibernateTemplate;

public interface UniversalDao {
	
	Collection getAll(Class clazz);
	
	Object get(Class clazz, Serializable id);
	
	Object get(String hql);
	
	Object save(Object o);
	
	void remove(Class clazz, Serializable id);
	
	Integer count(Object o);
	
	public Collection listByExample(Object o) throws Exception;
	
	Collection listByExampleWithOrderBy(Object o, String... camposOrdenacao);
	
	Collection listByExample(String hql);
	
	Collection listByExample(Object o, int startPage, int pageSize) throws Exception;
	
	Collection listByExample(Criteria c);
	
	void update(Object o);
	
	Integer getMax(Class clazz, String propriedade);
	
	Integer gerMin(Class clazz, String propriedade);
	
	Session getCurrentSession();
	
	HibernateTemplate getCurrentHibernateTemplate();
}
