package br.gov.mc.arquitetura.util;

/** @author Romário Almeida 
 * 
 * Gera senha aleatoria de 8 digitos com letras nas posições pares e numeros nas posições impares
 * 
 */

import java.util.Random;

public class GeradorSenha {

	private static Random random = new Random();

	public static String gerarSenha(){
		char[] vetSenha = new char[8];
		
		for (int i = 0; i < 8; i++) {
			if(i % 2 == 0)
				vetSenha[i] = (char) obterLetraAleatoria();
			else
				vetSenha[i] = (char) obterNumeroAleatorio();		
		}
		
		return new String(vetSenha);
	}
	
	public static int obterNumeroAleatorio(){
		return random.nextInt(9) + 48;
	}
	public static int obterLetraAleatoria(){
		return random.nextInt(25) + 97;
	}
}
