import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

import br.gov.mc.cadsei.entidade.CadEmpresa;
import br.gov.mc.cadsei.entidade.CadPeticao;
import br.gov.mc.cadsei.entidade.CadProponente;
import br.gov.mc.cadsei.util.EnvioMail;
import br.gov.mc.corporativo.entidade.CrpPessoaFisica;
import br.gov.mc.corporativo.entidade.CrpPessoaJuridica;

public class SendMailTLS {

    @SuppressWarnings("static-access")
    public static void main(String[] args) throws Exception {

	final String username = "protocoloeletronico@mj.gov.br";
	final String password = "mj@1234";

	Properties props = new Properties();

	Session session = Session.getInstance(props, new javax.mail.Authenticator() {
	    protected PasswordAuthentication getPasswordAuthentication() {
		return new PasswordAuthentication(username, password);
	    }
	});

	try {
	    
	    EnvioMail envioMail = new EnvioMail();
	    CadProponente cadProponente = new CadProponente();
	    cadProponente.setLoginProponente("01244360643");
	    cadProponente.setPessoaProponente(new CrpPessoaFisica());
	    cadProponente.getPessoaProponente().setNome("Sebastião");
	    cadProponente.setEmailProponente("sebast.fabiano@gmail.com");
	    
	    envioMail.sendEmail(cadProponente, "Cadastro Aprovado");
	    
	    CadPeticao peticao = new CadPeticao();
	    peticao.setProponente(cadProponente);
	    envioMail.sendEmailPeticionamento(peticao, cadProponente.getEmailProponente(), "88888888888888888");
	    
	    CadEmpresa empresa = new CadEmpresa();
	    empresa.setProponente(cadProponente);
	    empresa.setPessoaTitular(new CrpPessoaJuridica());
	    envioMail.sendEmailAprovacaoEmpresa(empresa);
	    
	    envioMail.sendEmailAprovacaoProponente(cadProponente);
	    
	    envioMail.sendEmailMudancaStatusEmExigenciaEmpresa(empresa);
	    envioMail.sendEmailMudancaStatusEmExigenciaProponente(cadProponente);
	    envioMail.sendEmailReprovacaoEmpresa(empresa);
	    envioMail.sendEmailReprovacaoProponente(cadProponente);
	    
	    Message message = new MimeMessage(session);
	    message.setFrom(new InternetAddress(username));
	    //message.setRecipients(Message.RecipientType.TO, InternetAddress.parse(username));
	    //message.setSubject("Testing Subject");
	    //message.setText("Dear Mail Crawler," + "\n\n No spam to my email, please!");

	    //Transport.send(message);

	    System.out.println("Done");

	} catch (MessagingException e) {
	    throw new RuntimeException(e);
	}
    }
}