package br.gov.mc.cadsei.dao;

import java.util.List;
import java.util.Map;

import br.gov.mc.cadsei.entidade.dto.FiltroEmailDTO;

public interface EmailDao {

	List<FiltroEmailDTO> buscaEmailPessoaFisica(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros);

	List<FiltroEmailDTO> buscaEmailPessoaJuridica(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros);

	List<String> buscaPessoaFisicaPorNome(String nome);

	List<String> buscaPessoaJuridicasPorNome(String nome);

	Long totalRegistroPessoaFisica(Map<String, String> filtros);

	Long totalRegistroPessoaJuridica(Map<String, String> filtros);

}
