package br.gov.mc.cadsei.dao;

import java.util.Date;
import java.util.List;
import java.util.Map;

import br.gov.mc.cadsei.entidade.CadDocumento;
import br.gov.mc.cadsei.entidade.CadProponente;
import br.gov.mc.corporativo.entidade.CrpCorRaca;

public interface ProponenteDao {
   
    public List<CadProponente> getProponentes();
    public void atualizaSenhaProponente(CadProponente proponente);
    public List<String> buscaProponentePorNome(String nome);
	public List<CadProponente> buscaParametrizada(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros);
	public Long rowCount(Map<String, String> filtros);
	public List<CadDocumento> buscaDocumentosPorProponente(Integer id);
	public CadProponente buscaProponentePorId(Integer id);
	public List<CrpCorRaca> buscaCorRaca();
	public CadProponente recuperarSenha(String email, Date dataNascimento, String cpf );
	public CadProponente login(String login, String senha);
}
