package br.gov.mc.cadsei.service;

import java.util.List;
import java.util.Map;

import br.gov.mc.cadsei.entidade.dto.FiltroEmailDTO;

public interface EmailService {

	public List<FiltroEmailDTO> listaEmailPessoaFisica(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros);
	public List<FiltroEmailDTO> listaEmailPessoaJuridica(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros);
	public List<String> buscaPessoaFisicaPorNome(String nome);
	public List<String> buscaPessoaJuridicasPorNome(String nome);
	public Long totalRegistrosPessoaFisica(Map<String, String> filtros);
	public Long totalRegistrosPessoaJuridica(Map<String, String> filtros);
}
