package br.gov.mc.cadsei.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import br.gov.mc.cadsei.entidade.CadProponente;
import br.gov.mc.corporativo.entidade.CrpCorRaca;

public interface ProponenteService {
    
    public List<CadProponente> getProponentes();
    
    public void atualizaSenhaProponente(CadProponente proponente);

    public List<String> buscaProponentePorNome(String nome);

	public List<CadProponente> pesquisaParametrizada(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros);
	
	public Long totalRow(Map<String, String> filtros);
	
	public CadProponente buscaProponentePorId(Integer id);

	public List<CrpCorRaca> buscaListaCorRaca();

	public CadProponente recuperarSenha(String email, Date dataNascimento, String cpf );
	
	public CadProponente login(String login, String senha);

}
